> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getswipe.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List of payments



## OpenAPI

````yaml get /v2/payment/list
openapi: 3.0.1
info:
  title: SwipeAPI
  description: Partner API
  version: '2.0'
servers:
  - url: https://app.getswipe.in/api/partner
security:
  - bearerAuth: []
tags:
  - name: Document
    description: Document related operations
  - name: Customer
    description: Customer related operations
  - name: Payment
    description: Payment related operations
  - name: Product
    description: Product related operations
  - name: Utility
    description: Generic operations
  - name: Subscriptions
    description: Subscriptions related operations
  - name: Document V2
    description: Document related operations
  - name: Customer V2
    description: Customer related operations
  - name: Payment V2
    description: Payment related operations
  - name: Product V2
    description: Product related operations
  - name: Subscriptions V2
    description: Subscriptions related operations
  - name: Utility V2
    description: Generic operations
  - name: Vendor V2
    description: Vendor related operations
  - name: EwayBill
    description: EwayBill related operations
  - name: Inventory V2
    description: Inventory related operations
paths:
  /v2/payment/list:
    get:
      tags:
        - Payment V2
      summary: List of payments
      operationId: v2_get_timeline
      parameters:
        - name: start_date
          in: query
          description: Start date for the list, [DD-MM-YYY]
          required: true
          schema:
            type: string
            default: 01-01-2024
        - name: end_date
          in: query
          description: End date for the list, [DD-MM-YYY]
          required: true
          schema:
            type: string
            default: 31-12-2024
        - name: status
          in: query
          description: Filter list based on active status of the payment
          required: true
          schema:
            type: string
            default: success
        - name: num_records
          in: query
          description: Number of records to fetch
          schema:
            type: integer
            default: 10
        - name: page
          in: query
          description: Page number
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: Payment details fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTransactions'
        '400':
          description: Error in fetching payment details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentListErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentListErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentListErrorResponse'
components:
  schemas:
    ListTransactions:
      type: object
      properties:
        success:
          type: boolean
          description: Success flag
          example: true
        message:
          type: string
          description: Response message
          example: Subscription List fetched successfully
        error_code:
          type: string
          description: Error code
          example: ''
        errors:
          type: object
          properties: {}
          description: Errors
        data:
          $ref: '#/components/schemas/PaymentList'
    PaymentListErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Success flag
          example: false
        error_code:
          type: string
          description: Error code
          example: ''
        message:
          type: string
          description: Error message
          example: ''
        errors:
          type: object
          properties: {}
          description: Errors
        data:
          type: object
          properties: {}
          description: Data
    PaymentList:
      type: object
      properties:
        transactions:
          type: array
          description: List of transactions
          items:
            $ref: '#/components/schemas/PaymentTransactionModel'
        total_records:
          type: integer
          description: Total number of records
          example: 10
    PaymentTransactionModel:
      type: object
      properties:
        total_amount:
          type: number
          description: Amount of Payment
          example: 1000
        amount_remaining:
          type: string
          description: Remaining amount after the settlement
          example: '900'
        bank_details:
          type: object
          description: Bank Details of payment for as document
          allOf:
            - $ref: '#/components/schemas/BankDetails'
        customer:
          type: object
          description: Customer Details for the document
          allOf:
            - $ref: '#/components/schemas/Customer'
        payment_date:
          type: string
          description: Payment date [DD-MM-YYYY]
          example: 11-06-2024
        exclusive_notes:
          type: string
          description: Internal notes for the payment
        linked_docs:
          type: array
          description: List of documents linked to this payment
          items:
            $ref: '#/components/schemas/LinkedDocs'
        notes:
          type: string
          description: Notes for the document
        payment_mode:
          type: string
          description: Payment mode of the recorded payment
          example: Cash
        payment_type:
          type: string
          description: Payment flow of the recorded payment
          example: in
        status:
          type: string
          description: Active status of the payment
          example: success
        created_by:
          type: string
          description: Document created by
          example: Manoj
    BankDetails:
      required:
        - account_number
        - bank_name
        - branch
        - ifsc
      type: object
      properties:
        account_number:
          type: string
          description: Account Number
          example: '1234567890'
        ifsc:
          type: string
          description: IFSC Code
          example: SBIN0000001
        bank_name:
          type: string
          description: Bank Name
          example: State Bank of India
        branch:
          type: string
          description: Branch
          example: Mumbai
    Customer:
      required:
        - id
        - name
      type: object
      properties:
        id:
          type: string
          description: >-
            Unique id for each customer. If a new id  is sent, a new Customer
            with the below details will be automatically created.
          example: CUST123
        name:
          type: string
          description: Name of the Customer
          example: John Doe
        country_code:
          type: string
          description: Customer Phone Number Country code
          example: '91'
        phone_number:
          type: string
          description: Customer Phone Number
          example: '1234567890'
        email:
          type: string
          description: Customer Email
          example: johndoe@example.com
    LinkedDocs:
      type: object
      properties:
        amount_settled:
          type: number
          description: Amount settled for the document, from the payment
          example: 100
        serial_number:
          type: string
          description: Invoice number assigned to document
          example: INV-12
        document_type:
          type: string
          description: Type of document
          example: invoice
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.

````